> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all projects for entity

> Get all projects for an entity



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/projects
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart VAT IDs
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Documents
  - name: Entities
  - name: Entity users
  - name: Events
  - name: Files
  - name: Identity
  - name: Ledger accounts
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: Overdue reminders
  - name: PDF templates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: VAT rates
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/projects:
    get:
      tags:
        - Projects
      summary: Get all projects for entity
      description: Get all projects for an entity
      operationId: get_projects
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2025-06-23'
          name: x-finops-version
          in: header
        - description: >-
            Sort order (ascending by default). Typically used together with the
            `sort` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/OrderEnum'
            default: asc
          name: order
          in: query
        - description: >-
            The number of items (0 .. 100) to return in a single page of the
            response. The response may contain fewer items if it is the last or
            only page.
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
          name: limit
          in: query
        - description: >-
            A pagination token obtained from a previous call to this endpoint.
            Use it to get the next or previous page of results for your initial
            query. If `pagination_token` is specified, all other query
            parameters are ignored and inferred from the initial query.


            If not specified, the first page of results will be returned.
          required: false
          schema:
            type: string
          name: pagination_token
          in: query
        - description: >-
            The field to sort the results by. Typically used together with the
            `order` parameter.
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/ProjectCursorFields'
          name: sort
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__gt
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__lt
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__gte
          in: query
        - required: false
          schema:
            type: string
            format: date-time
          name: created_at__lte
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: start_date
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: start_date__gt
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: start_date__lt
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: start_date__gte
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: start_date__lte
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: end_date
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: end_date__gt
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: end_date__lt
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: end_date__gte
          in: query
        - required: false
          schema:
            type: string
            format: date
          name: end_date__lte
          in: query
        - required: false
          schema:
            type: string
          name: name
          in: query
        - required: false
          schema:
            type: string
          name: name__iexact
          in: query
        - required: false
          schema:
            type: string
          name: name__contains
          in: query
        - required: false
          schema:
            type: string
          name: name__icontains
          in: query
        - required: false
          schema:
            type: string
          name: code
          in: query
        - required: false
          schema:
            type: string
            format: uuid
          name: created_by_entity_user_id
          in: query
        - description: The ID of the entity that owns the requested resource.
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          name: x-organization-id
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectPaginationResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '406':
          description: Not Acceptable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    OrderEnum:
      type: string
      enum:
        - asc
        - desc
    ProjectCursorFields:
      type: string
      enum:
        - id
        - created_at
    ProjectPaginationResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ProjectResource'
          type: array
        next_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the next page of results, or `null` if there is no next page
            (i.e. you've reached the last page).
        prev_pagination_token:
          type: string
          description: >-
            A token that can be sent in the `pagination_token` query parameter
            to get the previous page of results, or `null` if there is no
            previous page (i.e. you've reached the first page).
      type: object
      required:
        - data
      description: A paginated list of projects.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ProjectResource:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID assigned to this project.
        created_at:
          type: string
          format: date-time
          description: Project created at
        updated_at:
          type: string
          format: date-time
          description: Last time project was updated at
        code:
          type: string
          maxLength: 20
          minLength: 1
          pattern: ^[a-zA-Z0-9]+$
          description: Project code
        color:
          type: string
          maxLength: 128
          description: Project color
        created_by_entity_user_id:
          type: string
          format: uuid
          description: Project created by entity user
        description:
          type: string
          maxLength: 1024
          description: Description of project
        end_date:
          type: string
          format: date
          description: Project end date
        entity_id:
          type: string
          format: uuid
          description: The ID of the entity to which the project was issued.
        name:
          type: string
          maxLength: 255
          minLength: 1
          description: The project name.
          example: Marketing
        parent_id:
          type: string
          format: uuid
          description: Parent project ID
        partner_metadata:
          type: object
          description: Project metadata
        start_date:
          type: string
          format: date
          description: Project start date
        tags:
          items:
            $ref: '#/components/schemas/TagReadSchema'
          type: array
          description: A list of user-defined tags (labels) assigned to this project.
      additionalProperties: false
      type: object
      required:
        - id
        - created_at
        - updated_at
        - entity_id
        - name
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    TagReadSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of this tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was created. Timestamps follow the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was last updated. Timestamps follow the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          example: '2022-09-07T16:35:18.484507+00:00'
        category:
          allOf:
            - $ref: '#/components/schemas/TagCategory'
          description: The tag category.
          example: department
        created_by_entity_user_id:
          type: string
          format: uuid
          description: ID of the user who created the tag.
          example: ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        description:
          type: string
          maxLength: 255
          minLength: 1
          description: The tag description.
          example: Tag for the Marketing Department
        name:
          type: string
          description: The tag name.
          example: Marketing
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
      description: >-
        Represents a user-defined tag that can be assigned to resources to
        filter them.
    TagCategory:
      type: string
      enum:
        - document_type
        - department
        - project
        - cost_center
        - vendor_type
        - payment_method
        - approval_status
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````